#ifndef CONSOLE_H
#define CONSOLE_H

#ifdef __cplusplus
extern "C" {
#endif

#include <stdbool.h>
#include <stdint.h>

#define CONSOLE_BUFFER_SIZE 1024

typedef struct ConsoleLine {
    uint32_t data[CONSOLE_BUFFER_SIZE];
    int length;
} ConsoleLine;

bool initConsole();
const char* getConsoleError();
const ConsoleLine* readConsoleLine(const char* prefix);

#ifdef __cplusplus
}
#endif

#endif